Run a function over a sample of an Iceberg table
curl --request POST \
--url https://api.example.com/api/decisions/{workspace}/functions/{name}/try \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"table": "<string>",
"version": 123,
"spec": {},
"columns": {},
"args": {},
"limit": 50
}
'import requests
url = "https://api.example.com/api/decisions/{workspace}/functions/{name}/try"
payload = {
"table": "<string>",
"version": 123,
"spec": {},
"columns": {},
"args": {},
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({table: '<string>', version: 123, spec: {}, columns: {}, args: {}, limit: 50})
};
fetch('https://api.example.com/api/decisions/{workspace}/functions/{name}/try', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/decisions/{workspace}/functions/{name}/try",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'table' => '<string>',
'version' => 123,
'spec' => [
],
'columns' => [
],
'args' => [
],
'limit' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/decisions/{workspace}/functions/{name}/try"
payload := strings.NewReader("{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/decisions/{workspace}/functions/{name}/try")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/decisions/{workspace}/functions/{name}/try")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}"
response = http.request(request)
puts response.read_body{
"workspace": "<string>",
"name": "<string>",
"table": "<string>",
"rows": [
{}
],
"result": "<unknown>",
"result_type": "<string>",
"error": "<string>",
"truncated": false,
"spark_version": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Decision functions
Run a function over a sample of an Iceberg table
Read a sample of an Iceberg table on your Spark session, as you, and run the function over it. Nothing is stored; the rows come back to you only.
Required roles: simulator, author, approver or workspace_admin
POST
/
api
/
decisions
/
{workspace}
/
functions
/
{name}
/
try
Run a function over a sample of an Iceberg table
curl --request POST \
--url https://api.example.com/api/decisions/{workspace}/functions/{name}/try \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"table": "<string>",
"version": 123,
"spec": {},
"columns": {},
"args": {},
"limit": 50
}
'import requests
url = "https://api.example.com/api/decisions/{workspace}/functions/{name}/try"
payload = {
"table": "<string>",
"version": 123,
"spec": {},
"columns": {},
"args": {},
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({table: '<string>', version: 123, spec: {}, columns: {}, args: {}, limit: 50})
};
fetch('https://api.example.com/api/decisions/{workspace}/functions/{name}/try', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/decisions/{workspace}/functions/{name}/try",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'table' => '<string>',
'version' => 123,
'spec' => [
],
'columns' => [
],
'args' => [
],
'limit' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/decisions/{workspace}/functions/{name}/try"
payload := strings.NewReader("{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/decisions/{workspace}/functions/{name}/try")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/decisions/{workspace}/functions/{name}/try")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"table\": \"<string>\",\n \"version\": 123,\n \"spec\": {},\n \"columns\": {},\n \"args\": {},\n \"limit\": 50\n}"
response = http.request(request)
puts response.read_body{
"workspace": "<string>",
"name": "<string>",
"table": "<string>",
"rows": [
{}
],
"result": "<unknown>",
"result_type": "<string>",
"error": "<string>",
"truncated": false,
"spark_version": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Workspace slug.
Maximum string length:
64Pattern:
^[a-z0-9][a-z0-9-]{0,63}$Function name — a Python identifier.
Maximum string length:
64Pattern:
^[a-z][a-z0-9_]{0,63}$Body
application/json
catalog.schema.table to sample, read as you.
Pattern:
^[A-Za-z0-9_]+\.[A-Za-z0-9_]+\.[A-Za-z0-9_]+$Which table column feeds each column parameter (scalar/aggregate) or input column (table). Unmapped names are read from a column of the same name.
Show child attributes
Show child attributes
The const arguments.
Required range:
1 <= x <= 1000Was this page helpful?

